using Godot;
using Newlon.Components.GUI.Seedpackets;

namespace Newlon.Components.GUI;

public partial class VeilResizer : TextureProgressBar
{
    [Export] private Timer _referenceTimer;
    private Seedpacket seedpacket;

    public override void _Ready()
    {
        seedpacket = GetParent<Seedpacket>();
    }

    public override void _Process(double delta)
    {
        Value = _referenceTimer.TimeLeft / _referenceTimer.WaitTime;
    }
}
